> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get share viewlink records

> In a view with a field selector, link the records list of the associated field selector to get the. Linking the desired ones inside the share view should fetch the ones that have already been selected.



## OpenAPI

````yaml /swagger.json get /share/{shareId}/view/link-records
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /share/{shareId}/view/link-records:
    get:
      tags:
        - share
      description: >-
        In a view with a field selector, link the records list of the associated
        field selector to get the. Linking the desired ones inside the share
        view should fetch the ones that have already been selected.
      parameters:
        - schema:
            type: string
          required: true
          name: shareId
          in: path
        - schema:
            anyOf:
              - type: string
              - type: number
            default: 100
            example: 100
            description: The record count you want to take, maximum is 1000
          required: false
          description: The record count you want to take, maximum is 1000
          name: take
          in: query
        - schema:
            anyOf:
              - type: string
              - type: number
            default: 0
            example: 0
            description: The records count you want to skip
          required: false
          description: The records count you want to skip
          name: skip
          in: query
        - schema:
            type: string
          required: true
          name: fieldId
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: string
            enum:
              - candidate
              - selected
            description: Only used for plugin views
          required: false
          description: Only used for plugin views
          name: type
          in: query
      responses:
        '200':
          description: Link records list
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    title:
                      type: string
                  required:
                    - id
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/share/%7BshareId%7D/view/link-records?take=100&skip=0&fieldId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/share/%7BshareId%7D/view/link-records?take=100&skip=0&fieldId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/share/%7BshareId%7D/view/link-records?take=100&skip=0&fieldId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/share/%7BshareId%7D/view/link-records?take=100&skip=0&fieldId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&type=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````